Attribute Definition Save
Description
Add or edit attribute definitions based on name or ID. This is new as of Grouper v2.3.0
Features
Add or edit an attribute definition
If you are editing an existing attribute definition, you can look it up by name or id
You can specify a saveMode of INSERT, UPDATE, or INSERT_OR_UPDATE. If you specify INSERT and the attributeDef exists, it will be an error. If you specify UPDATE and the attributeDef doesnt exist, it will be an error.
Non-lite service can save multiple attributeDef at once
You can have this operation automatically create parent stems if they do not exist
Can pass in a txType so that you can run all the saves in one transaction, or just finish the work that is possible with no enclosing transaction
Can set the name, and description of an attribute def
Returns attribute definition(s), and the result code of if it was inserted or updated
Can actAs another user
attributeDefSave Lite service
Accepts one attribute def to save...
For REST, the request can put data in query string (in URL or request body)
REST request (colon is escaped to %3A): PUT /grouper-ws/servicesRest/v2_3_000/attributeDefs
Note: if passing data in request body e.g. actAs, use a POST
(see documentation above for details): Request object, response object
Samples (all files with "Lite" in them, click on "download" to see file)
attributeDefSave service
Accepts multiple attributeDefs to save
REST request (colon is escaped to %3A): POST /grouper-ws/servicesRest/v2_3_000/attributeDefs
(see documentation above for details): Request object, response object
Returns an overall status, and a status for each assignment
Samples (all files with "Lite" in them, click on "download" to see file)